Subject: bug#71117: 30.0.50; output of describe-function

From: Kévin Le Gouguec <[email-masked]>
Date: Wed, 22 May 2024 19:46:09 +0200

Andreas Röhler <[email-masked]> writes:

> Hi,
>
> often use ‘C-h f’, i.e. ‘describe-function’, in order to jump onto the source code.
>
> Which is done afterwards by a command calling ‘(switch-to-buffer (other-buffer))’ followed by TAB, RET.
>
> With recent Emacs, calling for example ‘C-h f list RET’, appears
>
> "list is a ‘primitive-function’ in ‘C source code’".
>
> Now the first active button is ‘primitive-function’, which is rather basic and seldom of interest. So I have to tab twice - and by habit often get the first, wrong one...
>
> May it be possible to switch the button, like:
>
> "list is defined in ‘C source code’, a ‘primitive-function’".

Might you be interested in 's', bound to 'help-view-source'?  Won't
solve the "force-of-habit" problem, but I find it rather convenient: no
need to TAB to the button; hopefully future-proof as redesigns wash over
*Help*.  I've found it worth the brain re-wiring.